<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */



/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Wanted_Itemrequest_Step_Confirm
{
	
    var $condition;
    var $price;
    var $limit;
    var $type;
    var $mail;
	
    /**
     * [[機能説明]]
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Wanted_Itemrequest_Step_Confirmが実行されました", "Wanted_Itemrequest_Step_Confirm#execute");

        return 'success';
    }
    
    function getCondition()
    {
        return $this -> condition;
    }

    function setCondition($condition)
    {
        $this -> condition = $condition;
    }

    function getPrice()
    {
        return $this -> price;
    }

    function setPrice($price)
    {
        $this -> price = $price;
    }

    function getLimit()
    {
        return $this -> limit;
    }

    function setLimit($limit)
    {
        $this -> limit = $limit;
    }

    function getType()
    {
        return $this -> type;
    }

    function setType($type)
    {
        $this -> type = $type;
    }

    function getMail()
    {
        return $this -> mail;
    }

    function setMail($mail)
    {
        $this -> mail = $mail;
    }
    
    function getConditionString()
    {
    	
    	switch($this->condition){
    		case "0": return "指定なし";
    		case "1": return "可";
    		case "2": return "良い";
    		case "3": return "非常に良い";
    		case "4": return "ほぼ新品";
    		case "5": return "新品";
    	}
    	
    }
    
    function getLimitString()
    {
    	
    	$limitDate = time() + ($this->limit * 7 * 24 * 60 * 60);
    	return date("Y年m月d日", $limitDate);    	
    	
    }
    
}
?>
